# $Revision: 1.10 $, $Date: 2002/01/28 02:10:17 $
Summary:	Tool to optimize relocations in object files
Summary(pl):	Narzdzie optymalizujce relokacje w plikach objektw
Name:		objprelink
Version:	1
Release:	4
License:	GPL
Group:		Development/Tools
Group(de):	Entwicklung/Werkzeuge
Group(fr):	Development/Outils
Group(pl):	Programowanie/Narzdzia
Source0:	http://leon.bottou.com/objprelink/%{name}.c.gz
URL:		http://leon.bottou.com/objprelink/
BuildRequires:	binutils
BuildRequires:	binutils-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program replaces relocations in object files with less expensive
ones. This allows faster run-time dynamic linking.

%description -l pl
Ten program zamienia relokacje w plikach objektw na mniej wymagajce.
Dziki temu program jest szybciej linkowany w momencie uruchomienia.

%prep
%setup -q -T -c
cp -f %{SOURCE0} .
gzip -d *.gz

%build
%{__cc} %{rpmcflags} -o objprelink objprelink.c -lbfd -liberty

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install objprelink $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: objprelink.spec,v $
Revision 1.10  2002/01/28 02:10:17  kloczek
- release 4.

Revision 1.9  2002/01/27 23:35:02  misiek
- fixed url and small cleanups

Revision 1.8  2002/01/18 02:14:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/10 09:40:18  kloczek
- release 3: rebuild against current binutils.

Revision 1.6  2001/11/07 10:49:34  qboosh
- added -q to %%setup, use %%__cc instead of directly gcc

Revision 1.5  2001/10/30 04:35:55  kloczek
- release 2, version 1.

Revision 1.4  2001/10/30 04:18:16  kloczek
- relase 2: rebuild against current binutils.

Revision 1.3  2001/08/19 16:15:24  kloczek
- fix in %install.

Revision 1.2  2001/08/19 15:54:26  kloczek
- spec adapterized,
- simplify %prep (use "%setup -T -c" for create empty build directory),
- cosmetics.

Revision 1.1  2001/08/17 00:39:30  mkochano
- Someone please take a look at mess in %%prep section...
